Bug 1276773 - demons/services that use esmtp write to /.esmpt_queue, not /root/.esmtp_queue
demons/services that use esmtp write to /.esmpt_queue, not /root/.esmtp_queue
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: esmtp (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 16:37 EDT by Adam Hunt
Modified: 2016-07-22 07:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 07:31:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1140493 None None None Never

  None (edit)
Description Adam Hunt 2015-10-30 16:37:42 EDT
Description of problem:
=======================
When a program executed as root utilizes esmtp to send warnings and notifications /.esmtp_queue/ is created and used for outgoing messages. This directory SHOULD NOT be where it is, it should be located at /root/.esmtp_queue/.

This is primarily a file system hierarchy issue but selinux policy is also involved (as seen in bugs 1256851, 1140493, and probably others).



Version-Release number of selected component (if applicable):
=============================================================
all



How reproducible:
=================
This bug is 100% reproducible.



Steps to Reproduce:
===================
1. Install fail2ban with mail notification support
2. Configure fail2ban for something commonly targeted (sshd is likely your best bet)
3. Start fail2ban.service
4. Watch the journal and/or /var/log/fail2ban.log for a triggering event
5. ls -la /
6. Marvel at the presence of /.esmtp_queue



Actual results:
===============
/.esmtp_queue is created.



Expected results:
=================
/root/.esmtp_queue should be used instead.



Additional info:
Comment 1 Fedora Admin XMLRPC Client 2016-02-12 13:21:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-02-14 18:18:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.